Ticket #45310

Crash on pregame "ai_manual_turn_done" setting change

Open Date: 2022-08-06 14:46 Last Update: 2022-08-15 10:55

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

When access to settings from the main menu causes call of ai_manual_turn_done setting callback, there's player_has_flag() segfault.

Same may (haven't tested yet) happen for global observer even in game, as the offending part in manual_turn_done_callback() is "is_ai(client.conn.playing)"

Ticket History (3/6 Histories)

2022-08-06 14:46 Updated by: cazfi
  • New Ticket "Crash on pregame "ai_manual_turn_done" setting change" created
2022-08-06 16:10 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.4
2022-08-10 11:01 Updated by: cazfi
Comment

Also S2_6 version attached - want simple crash fix there too.

2022-08-15 10:55 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login